import React from 'react';
import PropTypes from 'prop-types';
import { propsTypes } from './types';
/**
 * Primary UI component for user interaction
 */
declare const SelectionControl: {
    ({ type, id, name, value, isSelected, required, disabled, onClick }: propsTypes): React.ReactElement;
    propTypes: {
        type: PropTypes.Validator<string>;
        id: PropTypes.Validator<string>;
        name: PropTypes.Validator<string>;
        value: PropTypes.Requireable<string>;
        isSelected: PropTypes.Requireable<boolean>;
        required: PropTypes.Requireable<boolean>;
        disabled: PropTypes.Requireable<boolean>;
        onClick: PropTypes.Requireable<(...args: any[]) => any>;
    };
    defaultProps: {
        value: string;
        isSelected: boolean;
        required: boolean;
        disabled: boolean;
        onClick: undefined;
    };
};
export default SelectionControl;
